Package org.eclipse.cdt.core

# Interface IErrorParserNamed

All Superinterfaces:
  `Cloneable`, `IErrorParser`

All Known Implementing Classes:
  `ErrorParserNamedWrapper`, `FixitErrorParser`, `RegexErrorParser`

public interface IErrorParserNamed extends IErrorParser, Cloneable
Extension of IErrorParser interface to attach id and names to an error parser. Clients must implement `Object.clone()` and `Object.equals(java.lang.Object)` methods to avoid slicing.

Since:
  5.2

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
`String`
`getName()`
`void`
`setId(String id)`
Set error parser ID.
`void`
`setName(String name)`
Set error parser name.

### Methods inherited from interface org.eclipse.cdt.core.IErrorParser

`processLine`

## Method Details

### setId

void setId(String id)
Set error parser ID.

Parameters:
  `id` - of error parser

### setName

void setName(String name)
Set error parser name.

Parameters:
  `name` - of error parser

### getId

String getId()

Returns:
  id of error parser

### getName

String getName()

Returns:
  name of error parser